Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.context
Class ContextMultiHashMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              ix.util.MultiHashMap
                  ix.util.context.ContextMultiHashMap

All Implemented Interfaces:
  ContextMultiMap, MultiMap, java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class ContextMultiHashMap

extends MultiHashMap
implements ContextMultiMap

Maps a key to a context-dependent list. Note that the mapping is not itself context-dependent -- a given key maps to the same list regardless of context -- but what the list contains is context-dependent.

See Also:
  `LLQueue`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`ContextMultiHashMap()`

Method Summary
`void` | `clear()`
`void` | `clearCompletely()`
`java.util.Collection` | `makeValueCollection(java.lang.Object firstItem)`
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Set the entire colletion of values associated with the key.

Methods inherited from class ix.util.MultiHashMap
`addValue, removeValue`

Methods inherited from class java.util.HashMap
`clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ix.util.MultiMap
`addValue, removeValue`

Methods inherited from interface java.util.Map
`containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, values`

Constructor Detail

### ContextMultiHashMap

    public ContextMultiHashMap()

Method Detail

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Description copied from class: `MultiHashMap`
  Set the entire colletion of values associated with the key.

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `MultiHashMap`

### makeValueCollection

    public java.util.Collection makeValueCollection(java.lang.Object firstItem)

  Specified by:
    `makeValueCollection` in interface `MultiMap`
  Overrides:
    `makeValueCollection` in class `MultiHashMap`

### clearCompletely

    public void clearCompletely()

  Specified by:
    `clearCompletely` in interface `ContextMultiMap`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `java.util.HashMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD